package cn.reghao.tnb.content.app.mobile.model;

import cn.reghao.tnb.user.api.dto.UserCard;
import cn.reghao.tnb.content.app.vod.model.vo.VideoDetail;

import java.util.ArrayList;
import java.util.List;

/**
 * @author reghao
 * @date 2023-09-03 23:02:49
 */
public class VideoDetails {
    private String videoId;
    private String title;
    private String description;
    private String coverUrl;
    private int commentCount;
    private List<String> tags;
    private List<VideoRelate> videoRelates;
    private Owner owner;

    public VideoDetails(VideoDetail videoDetail, UserCard userCard) {
        this.videoId = videoDetail.getVideoId();
        this.title = videoDetail.getTitle();
        this.description = videoDetail.getDescription();
        this.coverUrl = videoDetail.getCoverUrl();
        this.commentCount = videoDetail.getComment();
        this.tags = videoDetail.getTags();
        this.videoRelates = new ArrayList<>();
        this.owner = new Owner(userCard);
    }
}
